﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=11.8
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	
#End Region

Sub Process_Globals
	Public sStringCollect As String
	Public bRes As Boolean
	Public Nt As Notification
	Public tmrLoopSVC As Timer
	Public sTime As String
	Public sTimePrev As String
	Public bFirst As Boolean
End Sub

Sub Service_Create
	Service.AutomaticForegroundMode = Service.AUTOMATIC_FOREGROUND_NEVER
	Nt.Initialize
	Nt.Icon = "icon"
	Nt.Vibrate = False
	Nt.Sound = False
	Nt.Light = False
	Nt.SetInfo("Timer", ".", Main)
	Service.StartForeground(1,Nt)

	bRes=gSave_And_Show_Log("Svc Create",False)
End Sub

Sub Service_Start (StartingIntent As Intent)
	bFirst=True
	sTimePrev=""
	tmrLoopSVC.Initialize("tmrLoop",  1000)
	tmrLoopSVC.Enabled = True
	
	bRes=gSave_And_Show_Log("Svc Start",False)
End Sub

Sub Service_Destroy
	bRes=gSave_And_Show_Log("Svc Destroy",False)
End Sub

public Sub gSave_And_Show_Log(sText As String,bIsTime As Boolean) As Boolean
	Dim bPass As Boolean
	
	If bIsTime=True Then
		If bFirst =False Then
			bPass=False
			If Right(sText,1)="0" And Right(sTimePrev,1)="9" Then
				bPass=True
			Else
				If Right(sText,1)= Right(sTimePrev,1)+1 Then
					bPass=True
				End If
			End If
			If bPass=False Then
				sStringCollect=sStringCollect & "JUMP " & sTimePrev & " - " & sText & CRLF
				Log("JUMP")
			End If
		Else
			bFirst=False
		End If
		sTimePrev=sText
	Else
		sStringCollect=sStringCollect & sText & CRLF
	End If
	Log(sText)
	Return True
End Sub

public Sub Left(Text As String, Length As Int)As String
	If Length>Text.Length Then Length=Text.Length
	Return Text.SubString2(0, Length)
End Sub

public Sub Right(Text As String, Length As Int) As String
	If Length>Text.Length Then Length=Text.Length
	Return Text.SubString(Text.Length-Length)
End Sub

public Sub Mid(Text As String, Start As Int, Length As Int) As String
	Return Text.SubString2(Start-1,Start+Length-1)
End Sub

public Sub Split(Text As String, Delimiter As String) As String()
	Return Regex.Split(Delimiter,Text)
End Sub

Private Sub tmrLoop_Tick
	sTime=Right("00" & DateTime.GetHour(DateTime.Now),2) & ":" & Right("00" & DateTime.GetMinute(DateTime.Now),2) & ":" & Right("00" & DateTime.GetSecond(DateTime.Now),2)
	bRes=gSave_And_Show_Log("Tick " & sTime,True)
End Sub


